// SIRDS z-depth data with POV-Ray #3
// )C( 7/1994 Christian Perle

#include "colors.inc"

camera {
  location  <0, 0, -9>
  direction <0, 0, 2.5>
  up        <0, 1, 0>
  right     <640/470, 0, 0>
  look_at   <0, 0, 2.5>
}

union {
  difference {
    cylinder { <0, -.2, 0>, <0, .2, 0>, 1 }
    cylinder { <0, -.3, 0>, <0, .3, 0>, .7 }
  }
  cylinder { <0, -1, 0>, <0, 1, 0>, .25 }
  rotate <-20, 30, 0>
  translate 1.02*z

  pigment {  // white/black gradient
    gradient z
    translate -10*z
    color_map {
      [0 color White]
      [1 color Black]
    }
    scale 2
  }
  finish { ambient 1 diffuse 0 }
}
